Instalacja MySql

Konfiguracja serwerów, usług, itp.
matte
Posty: 2
Rejestracja: 24 maja 2008, 10:21

Post autor: matte » 24 maja 2008, 10:27

Witam,

W celu zachowania porządku i ładu w systemie chciałem skompilować sobie mysql i zbudować paczkę deb.

debian/rules binary zwrócił komunikat o błędzie:

Kod: Zaznacz cały

dpkg-gencontrol -pmysql-common -ldebian/changelog -isp -Tdebian/mysql-common.substvars -Pdebian/mysql-common
dpkg-gencontrol: warning: can't parse dependency mysql-common-@MYSQL_BRANDED_PREVIOUS_BASE_VERSION@
dpkg-gencontrol: error: error occurred while parsing Replaces
dh_gencontrol: command returned error code 2304
make: *** [binary-indep] Błąd 1
Czy ktoś może miał podobny problem?

PS. Czy budowanie paczek się opłaca? Albo jeśli np. skompiluje sobie mysql, a za jakiś czas wyjdzie nowa wersja to nie będzie problemu z aktualizacją w systemie? Bo tak to jak będe miał paczkę to sobie odinstaluje, zrobie paczkę z nowej wersji i voila ;)

Awatar użytkownika
Yampress
Administrator
Posty: 5940
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 24 maja 2008, 18:15

a wklepałes przed instalacją repo do src w /etc/apt/sources.list ?
a potem wydałes poleconko

Kod: Zaznacz cały

apt-get build-dep mysql-server 
i dopiero ściągnięta paczke zaczałes budować?

perfecto
Posty: 7
Rejestracja: 20 listopada 2009, 11:18

Post autor: perfecto » 20 listopada 2009, 20:20

Troszke odkopuje temat - ale skoro jest przyklejony.

Najnowsze paczki z MySQL-em (przy okazji nowe paczki dla PHP (5.2 i 5.3) oraz Google Perftools

http://www.dotdeb.org/

Karol Mrozik
Posty: 19
Rejestracja: 07 marca 2010, 23:47

Post autor: Karol Mrozik » 08 marca 2010, 01:19

spróbuj

Kod: Zaznacz cały

mysql_install_db --user=mysql

pozniej

Kod: Zaznacz cały

mysql_secure_instalation

nastepnie

Kod: Zaznacz cały

mysql -u root -p

ODPOWIEDZ